# nng_pipe_id(3) Manual Page

## NAME

nng_pipe_id - return numeric pipe identifier

## SYNOPSIS

    #include <nng/nng.h>

    int nng_pipe_id(nng_pipe p);

## DESCRIPTION

The `nng_pipe_id()` function returns a positive identifier for the pipe p, if it is valid. Otherwise it returns `-1`.

| A pipe is considered valid if it was ever created by the socket. Pipes that are allocated on the stack or statically should be initialized with the macro `NNG_PIPE_INITIALIZER` to ensure that they cannot be confused with a valid pipe.

## RETURN VALUES

This function returns the positive value for the pipe identifier, or `-1` if the pipe is invalid.

## ERRORS

None.

## SEE ALSO

nng_pipe(5), nng(7)